/*
   This file is part of the index package,
   Copyright (C) 1997 Harold Tay, haroldtay@pacific.net.sg

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA
 */
#include <stdio.h>
#include <unistd.h>
#include "index.h"

int
main(int argc, char ** argv)
{
  struct meta meta;

  if( argc > 1 ){
    fprintf(stderr, "Usage: %s <indexfile (no arguments)\n", argv[0]);
    exit(1);
  }

  read(0, &meta, sizeof(meta));
  if( strcmp(meta.magic, MAGIC) ){
    fprintf(stderr, "Bad magic\n");
    exit(1);
  }
  printf("locations_size: %u\n", meta.locations_size);
  printf("words_size: %u\n", meta.words_size);
  exit(0);
}
